﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using HeuristicLab.Persistence.Default.Xml;

namespace HeuristicLab.Clients.Hive {
  public static class PersistenceUtil {
    public static byte[] Serialize(object obj) {
      MemoryStream memStream = new MemoryStream();
      XmlGenerator.Serialize(obj, memStream);
      byte[] jobByteArray = memStream.ToArray();
      memStream.Dispose();
      return jobByteArray;
    }

    public static T Deserialize<T>(byte[] sjob) {
      MemoryStream memStream = new MemoryStream(sjob);
      T job = XmlParser.Deserialize<T>(memStream);
      memStream.Dispose();
      return job;
    }
  }
}
